-----------------------------------------
-- This is a VHDL description of the
-- clock. This VHDL module is imported
-- into Verilog-AMS.
--
-----------------------------------------

library IEEE;
use IEEE.std_logic_1164.all;

ENTITY vhdl_clock IS
	PORT (
	  out1 : OUT STD_LOGIC
	);

END vhdl_clock;

ARCHITECTURE vhdl_behavioral OF vhdl_clock IS
signal myclock : STD_LOGIC := '0';
BEGIN
	myclock <= not myclock after 50 ns;
	out1 <= myclock;	
END vhdl_behavioral;
