
`timescale 1ns / 1ps

module controller_fsm   (       clock,
                                tb_read_rom,
                                tb_read_rand,
                                reset,
				read_rom,
				read_rom_done,
                                Op,
                                pc_reset,
                                PCWrite,
                                PCInc,
                                PCWriteCond,
                                IorD,
                                MemRead,
                                MemWrite,
                                IRWrite,
                                MemtoReg,
                                PCSource,
                                TargetWrite,
                                ALUOp,
                                ALUSelB,
                                ALUSelA,
                                RegWrite,
                                RegDst,
                        )	(* const integer foreign = "SystemC"; *);

input clock, tb_read_rom, tb_read_rand, reset, read_rom_done;
output read_rom;

input [5:0] Op;
output pc_reset, PCWrite, PCInc, PCWriteCond, IorD, MemRead;
output MemWrite, IRWrite, MemtoReg;
output [1:0] PCSource;
output TargetWrite;
output [1:0] ALUOp;
output [1:0] ALUSelB;
output ALUSelA, RegWrite, RegDst;

endmodule

