
`include "./HDL/DUT/SYSVLOG/pack_test.pkg"


`timescale 1 ns / 1 ps

module target ( clock, TWrite, t_data, rd_data ) ;
import pack_test::*;
input clock;
input TWrite;
input [31:0] t_data;

output [31:0] rd_data;
reg [31:0] rd_data;

always @(posedge clock) begin
	if(TWrite)
		rd_data = t_data;
	else
		rd_data = rd_data;
call_package;
end
endmodule

