
`timescale 1 ns / 1 ps

module ir ( clock, IRWrite, wr_data, rd_data_upper, rd_data_lower ) ;

input clock, IRWrite;
input [31:0] wr_data;
output [5:0] rd_data_upper;
output [25:0] rd_data_lower;

reg [5:0] rd_data_upper;
reg [25:0] rd_data_lower;

always @(posedge clock) begin
	if(IRWrite) begin
	rd_data_upper = wr_data[31:26];
//com_test	rd_data_upper = wr_data[31:26] | 6'b111111;
	rd_data_lower = wr_data[25:0];
	end
	else begin
		rd_data_upper = rd_data_upper;
		rd_data_lower = rd_data_lower;
	end
end
endmodule
