`timescale 1 ns / 1 ps

module mux421a(out, a, b, c, d, sel);

output [31:0] out;
reg [31:0] out;
input [31:0] a;
input [7:0] b;
input [7:0] c;
input [7:0] d;
input [1:0] sel;

always @(a or b or c or d or sel)
case (sel)
2'b00: out = a;
2'b01: out = b;
2'b10: out = {24'b0000_0000_0000_0000_0000_0000,c};
2'b11: out = {24'b0000_0000_0000_0000_0000_0000,d};
default: out = 'dz;
endcase

endmodule
