`timescale 1 ns / 1 ps


module mux5(out, a, b, sel);
output [4:0] out;
input [4:0] a;
input [4:0] b;
input sel;

mux I4 (out[4], a[4], b[4], sel);

mux I3 (out[3], a[3], b[3], sel);

mux I2 (out[2], a[2], b[2], sel);

mux I1 (out[1], a[1], b[1], sel);

mux I0 (out[0], a[0], b[0], sel);

endmodule

primitive mux(out, a, b, sel);

output out;
input a;
input b;
input sel;


table
//	a	b	sel	:out;
	0	?	0	:0;
	?	0	1	:0;
	1	?	0	:1;
	?	1	1	:1;
endtable

endprimitive

