`timescale 1 ns / 1 ps

module sign_ext (sign_ext_out, sign_ext_in);
output [31:0] sign_ext_out;
input [15:0] sign_ext_in;

reg [31:0] sign_ext_out;

integer i;

always @(sign_ext_in) begin
	for (i=0; i<16; i=i+1) begin
		sign_ext_out[i] = sign_ext_in[i];
	end
	for (i=16; i<32; i=i+1) begin
		sign_ext_out[i] = sign_ext_in[15];
	end
end

endmodule
