`timescale 1 ns / 1 ps

module mux32(out, a, b, sel);

output [31:0] out;
reg [31:0] out;
input [31:0] a;
input [31:0] b;
input sel;

always @(a or b or sel)
case (sel)
1'b0: out = a;
1'b1: out = b;
default: out = 'dz;
endcase

endmodule
