`timescale 1 ns / 1 ps

module mux421(out, a, b, c, d, sel);

output [31:0] out;
reg [31:0] out;
input [31:0] a;
input [31:0] b;
input [31:0] c;
input [31:0] d;
input [1:0] sel;

always @(a or b or c or d or sel)
case (sel)
2'b00: out = a;
2'b01: out = b;
2'b10: out = c;
2'b11: out = d;
default: out = 'dz;
endcase

endmodule
