
`timescale 1 ns / 1 ps

module pc ( clock, pc_reset, PCInc, PCWrite, PC_wr_data, PC_rd_data ) ;

input clock;
input pc_reset;
input PCInc;
input PCWrite;
input [31:0] PC_wr_data;
output [31:0] PC_rd_data;
reg [31:0] PC_rd_data;


always @(posedge clock) begin
	if(pc_reset)
		PC_rd_data = 0;
	else if(PCWrite)
		PC_rd_data = PC_wr_data;
	else if(PCInc)
		PC_rd_data = PC_rd_data + 1;
end

endmodule
