File: drive_data_u.e

<'
unit data_drive_u {
   
	local_data_in_s : data_in_s; 
	event clock_e is rise ('clock') @sim;

	gen_and_drive() @clock_e is {

		for i from 0 to 1000 do {
			gen local_data_in_s;
			data_drive(local_data_in_s);  -- Call TCM drive_packet()
		};
		stop_run();             -- Stop the simulation
	};

	data_drive(data_in_s) @clock_e is {
case data_in_s.InstType {
	RType :	{
		data_in_s.rand_inst = %{data_in_s.op, data_in_s.rs, data_in_s.rt, data_in_s.rd, data_in_s.shamt, data_in_s.funct};
		};
	IType :	{
		data_in_s.rand_inst = %{data_in_s.op, data_in_s.rs, data_in_s.rt, data_in_s.immed};
		};
	JType : {
		data_in_s.rand_inst = %{data_in_s.op, data_in_s.target};
		};
};
			'rand_inst[31:0]' = pack(packing.low, data_in_s.rand_inst);
			'op[5:0]' = pack(packing.low, data_in_s.op);
			'rs[4:0]' = pack(packing.low, data_in_s.rs);
			'rt[4:0]' = pack(packing.low, data_in_s.rt);
			'rd[4:0]' = pack(packing.low, data_in_s.rd);
			'shamt[4:0]' = pack(packing.low, data_in_s.shamt);
			'funct[5:0]' = pack(packing.low, data_in_s.funct);
			'immed[15:0]' = pack(packing.low, data_in_s.immed);
			'target[25:0]' = pack(packing.low, data_in_s.target);
			out("I Live");
			wait cycle;
		};

	run() is also {
		start gen_and_drive();  -- Start the main TCM at simulation start
	};

};

'>

