
`timescale 1ns / 1ps

module TB1 ();

reg [31:0] rand_inst;
reg read_rom;
reg read_rand;
reg reset;
reg clock;

initial begin: RAND_INSTR
	#50 rand_inst = 0;
end



initial begin : READ_ROM
	#50 read_rom = 1'b0;
	#350 read_rom = 1'b1;
	#450 read_rom = 1'b0;
end

initial begin : READ_RAND
	#50 read_rand = 1'b0;
end

initial begin : RESET
	#50 reset = 1'b0;
	#50 reset = 1'b1;
	#150 reset = 1'b0;
end

always begin : CLOCK
	#50 clock = 1'b0;
	#50 clock = 1'b1;
end

initial #80000 $finish;

cpu DUT                 (       .clock(clock),
                                .tb_read_rom(read_rom),
                                .tb_read_rand(read_rand),
				.reset(reset),
                                .random_inst(rand_inst)
                        );

endmodule

