<'

// How do we tarverse hierarchy of sections with thi API? - Need to test.
struct my_scanner like vm_vplan_report_visitor { 


  vp_report_file : string;
  rep_file : file;

  section_level : int; 
  update(c:vm_context) is { // called each time the vplan is  
                            // scanned with this struct 
    section_level = 0; 
  }; 
  start_section(section : vm_user_section) is { 
    section_level +=1; 
  }; 
  end_section(section : vm_user_section) is { 
    section_level = section_level -1; 
    var section_info := append("section ", section.get_name(), 
" : ",vm_manager.grade_to_string(section.get_grade())); 
    var spaces : string; 
    for i from 0 to section_level do { 
      spaces = append(spaces," "); 
    }; 
    out(spaces,section_info); 
    files.write(rep_file, append(spaces, section_info));
  }; 
  start_definition(def : vm_user_coverage_definition) is { 
  }; 
  end_definition(def : vm_user_coverage_definition) is { 
    // section_level = section_level -1; 
    var def_info := append("def ", def.get_pattern(), 
" : ",vm_manager.grade_to_string(def.get_grade())); 
    var spaces : string ; 
    for i from 0 to section_level do { 
      spaces = append(spaces," "); 
    }; 
    spaces = append(spaces," "); 
    out(spaces,def_info); 
    files.write(rep_file, append(spaces, def_info));
  }; 
  do_item(item_ : vm_user_cover_item) is { 
    // section_level = section_level -1; 
    var item_info := append("item ", item_.get_name(), 
" : ",vm_manager.grade_to_string(item_.get_grade())); 
    var spaces : string ; 
    for i from 0 to section_level do { 
      spaces = append(spaces," "); 
    }; 
    spaces = append(spaces,"  "); 
    out(spaces,item_info); 
    files.write(rep_file, append(spaces, item_info));
  }; 
  finalize() is {
    files.close(rep_file);
  };

  init() is also{
      vp_report_file = "vplan_report.rpt";
      rep_file = files.open(vp_report_file, "w", "Text file");
  };

}; 

// extend my_scanner {
  // var vp_report_file : string;
  // var rep_file : file;
// };


'>

