eval 'exec perl $0 ${1+"$@"}' if 0;

use strict;

#	$#ARGV is the number of arguments minus one
#	@ARGV is the list of arguments

my $state_ctrl = "state_ctrl.rpt";
my $arc_ctrl = "arc_ctrl.rpt";
my $psl_ctrl = "psl_ctrl.rpt";
my $covpt_ctrl = "covpt_ctrl.rpt";
my $summary_ctrl = "summary_ctrl.rpt";

my $state_onehot = "state_onehot.rpt";
my $arc_onehot = "arc_onehot.rpt";
my $psl_onehot = "psl_onehot.rpt";
my $covpt_onehot = "covpt_onehot.rpt";
my $summary_onehot = "summary_onehot.rpt";


&state_ctrl;
&arc_ctrl;
&psl_ctrl;
&covpt_ctrl;
&empty_ctrl_chk;

&state_onehot;
&arc_onehot;
&psl_onehot;
&covpt_onehot;
&empty_onehot_chk;


sub empty_ctrl_chk{
        my $count = 0;
        open PSLFILE, $psl_ctrl;
        while(<PSLFILE>){
                $count++;
        };
        if ($count == 0){
                die "No functional data covered ctrl fsm!\n";
        };
        close PSLFILE;
};

sub empty_onehot_chk{
        my $count = 0;
        open PSLFILE, $psl_ctrl;
        while(<PSLFILE>){
                $count++;
        };
        if ($count == 0){
                die "No functional data covered onehot fsm!\n";
        };
        close PSLFILE;
};



sub state_ctrl{
my $discard;
my $keep;
open(STATEFILE, ">>$state_ctrl") or die "Could not open $state_ctrl for writing\n"; 
open SUMMARYFILE, $summary_ctrl;
while(<SUMMARYFILE>){
	if(m/S:/){
		($discard, $keep) = split (" ",$_);
		print STATEFILE $keep;
	}
}
close SUMMARYFILE;
close STATEFILE;
}

sub state_onehot{
my $discard;
my $keep;
open(STATEFILE, ">>$state_onehot") or die "Could not open $state_onehot for writing\n"; 
open SUMMARYFILE, $summary_onehot;
while(<SUMMARYFILE>){
	if(m/S:/){
		($discard, $keep) = split (" ",$_);
		print STATEFILE $keep;
	}
}
close SUMMARYFILE;
close STATEFILE;
}


sub arc_ctrl{
my $discard;
my $keep;
open(ARCFILE, ">>$arc_ctrl") or die "Could not open $arc_ctrl for writing\n"; 
open SUMMARYFILE, $summary_ctrl;
while(<SUMMARYFILE>){
	if(m/TR:/){
		($discard, $keep) = split (" ",$_);
		print ARCFILE $keep;
	}
}
close SUMMARYFILE;
close ARCFILE;
}

sub arc_onehot{
my $discard;
my $keep;
open(ARCFILE, ">>$arc_onehot") or die "Could not open $arc_onehot for writing\n"; 
open SUMMARYFILE, $summary_onehot;
while(<SUMMARYFILE>){
	if(m/TR:/){
		($discard, $keep) = split (" ",$_);
		print ARCFILE $keep;
	}
}
close SUMMARYFILE;
close ARCFILE;
}

sub psl_ctrl{
my $discard;
my $keep;
open(PSLFILE, ">>$psl_ctrl") or die "Could not open $psl_ctrl for writing\n"; 
open SUMMARYFILE, $summary_ctrl;
while(<SUMMARYFILE>){
	if(m/F:/){
		($discard, $keep) = split (" ",$_);
		print PSLFILE $keep;
	}
}
close SUMMARYFILE;
close PSLFILE;
}

sub psl_onehot{
my $discard;
my $keep;
open(PSLFILE, ">>$psl_onehot") or die "Could not open $psl_onehot for writing\n"; 
open SUMMARYFILE, $summary_onehot;
while(<SUMMARYFILE>){
	if(m/F:/){
		($discard, $keep) = split (" ",$_);
		print PSLFILE $keep;
	}
}
close SUMMARYFILE;
close PSLFILE;
}


sub covpt_ctrl{
my $discard;
my $keep;
open(COVPTFILE, ">>$covpt_ctrl") or die "Could not open $covpt_ctrl for writing\n"; 
open SUMMARYFILE, $summary_ctrl;
while(<SUMMARYFILE>){
	if(m/D:/){
		($discard, $keep) = split (" ",$_);
		print COVPTFILE $keep;
	}
}
close SUMMARYFILE;
close COVPTFILE;
}

sub covpt_onehot{
my $discard;
my $keep;
open(COVPTFILE, ">>$covpt_onehot") or die "Could not open $covpt_onehot for writing\n"; 
open SUMMARYFILE, $summary_onehot;
while(<SUMMARYFILE>){
	if(m/D:/){
		($discard, $keep) = split (" ",$_);
		print COVPTFILE $keep;
	}
}
close SUMMARYFILE;
close COVPTFILE;
}


